﻿.shopping-flow-box{
    display: block;
    width: 100%;
    margin-top: 121px;
    font-size: 0;
    background-color: #f5f5f5;
}
.shopping-flow-info-box{
    width: 600px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    box-sizing: border-box;
    padding: 80px 0;
}
.shopping-flow-title{
    font-size: 14px;
    color: #389cd2;
    letter-spacing: 2px;
    margin-bottom: 15px;
}
.shopping-flow-title i{
    font-size: 30px;
}
.shopping-flow-send-box>input{
    opacity: 0;
}
.shopping-flow-send-box,
.shopping-flow-payment-box{
    display: block;
    background-color: #fff;
    box-sizing: border-box;
    padding: 25px 15px;
}
.shopping-flow-send-title,
.shopping-flow-payment-title{
    font-size: 16px;
    vertical-align: middle;
    display: inline-block;
    margin-right: 15px;
    letter-spacing: 1px;
}
.shopping-flow-send,
.shopping-flow-payment{
    vertical-align: middle;
    display: inline-block;
    width: 100%;
    position: relative;
}
.shopping-flow-send-list-box,
.shopping-flow-payment-list-box{
    width: 100%;
    height: 36px;
    border: none;
    border-bottom: 1px solid #d1d1d1;
    font-size: 14px;
    letter-spacing: 1px;
    text-align: left;
    display: block;
    line-height: 36px;
    position: relative;
    box-sizing: border-box;
    color: #555;
    cursor: pointer;
}
.shopping-flow-send-list-box:after,
.shopping-flow-payment-list-box:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 5px solid transparent;
    border-top: 10px solid #555;
    border-left: 5px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 10px;
    box-sizing: border-box;
}
.shopping-flow-send-list,
.shopping-flow-payment-list{
    display: none;
    border: 1px solid #d1d1d1;
    border-top: none;
    position: absolute;
    width: 100%;
    background-color: #fff;
    box-sizing: border-box;
    padding: 5px 0;
    z-index: 5;
}
.shopping-flow-send-list{
    z-index: 6;
}
.shopping-flow-send-selec,
.shopping-flow-payment-selec{
    font-size: 14px;
    color: #555;
    padding: 5px 10px;
    cursor: pointer;
    transition: all .2s linear;
}
.shopping-flow-products-box{
    display: block;
    background-color: #fff;
    box-sizing: border-box;
    padding: 20px;
    margin-top: 20px;
}
.shopping-flow-products-title{
    font-size: 16px;
    display: block;
    letter-spacing: 2px;
    margin-bottom: 20px;
}
.shopping-flow-products-box .buycar-fixed-list{
    padding: 0;
}
.shopping-flow-products-box .buycar-fixed-list-info-box{
    padding: 0 30px;
}
.shopping-flow-products-money{
    display: inline-block;
    vertical-align: bottom;
    width: 50%;
}
.shopping-flow-products-offer-box{
    display: inline-block;
    vertical-align: bottom;
    width: 50%;
    text-align: right;
}
.shopping-flow-products-money-title{
    display: inline-block;
    font-size: 14px;
    letter-spacing: 1px;
}
.shopping-flow-products-money-nt,
.shopping-flow-products-money-number{
    display: inline-block;
    font-size: 14px;
    color: #ffa3a9;
    margin-left: 5px;
    letter-spacing: 1px;
}
.shopping-flow-products-all-box{
    display: block;
    margin-bottom: 10px;
}
.shopping-flow-products-all-box:last-child{
    margin-bottom: 0;
}
.shopping-flow-products-offer-text{
    width: calc(100% - 150px);
    font-size: 14px;
    display: inline-block;
    vertical-align: middle;
    margin-right: 10px;
    letter-spacing: 1px;
}
.shopping-flow-products-offer{
    width: 140px;
    display: inline-block;
    vertical-align: middle;
}
.shopping-flow-products-offer input{
    width: 100%;
    height: 24px;
    font-size: 14px;
    font-weight: lighter;
    color: #888;
    padding: 0 5px;
    box-sizing: border-box;
    border: 1px solid #bbb;
    letter-spacing: 2px;
}
.shopping-flow-products-bag-input{
    opacity: 0;
    position: absolute;
    z-index: 2;
}
.shopping-flow-products-info-check-box{
    width: 14px;
    height: 14px;
    border: 1px solid #ddd;
    display: inline-block;
    position: relative;
    top: 3px;
    left: 2px;
    cursor: pointer;
}
.shopping-flow-products-bag-box{
    font-size: 14px;
    color: #333333;
    display: block;
    margin-bottom: 15px;
    position: relative;
}
.shopping-flow-products-t{
    font-size: 12px;
    color: #d0011b;
}
.shopping-flow-products-bag-input:checked + .shopping-flow-products-info-check-box {
    background-image: url(../img/front/checked.png);
    background-repeat: no-repeat;
    background-size: 80%;
    background-position: center;
}
.shopping-flow-recipient-info-box{
    display: block;
    background-color: #fff;
    box-sizing: border-box;
    padding: 20px;
    margin-top: 20px;
}
.shopping-flow-recipient-info-box>h3{
    font-size: 18px;
    margin-bottom: 10px;
}
.shopping-flow-recipient-info-check-title{
    font-size: 16px;
    color: #333333;
    display: block;
    margin-bottom: 15px;
}
.shopping-flow-recipient-info-check{
    opacity: 0;
    position: absolute;
}
.shopping-flow-recipient-info-check-box{
    width: 16px;
    height: 16px;
    border: 1px solid #ddd;
    display: inline-block;
    position: relative;
    top: 3px;
    left: 5px;
    cursor: pointer;
}
.shopping-flow-recipient-info-check:checked + .shopping-flow-recipient-info-check-box {
    background-image: url(../img/front/checked.png);
    background-repeat: no-repeat;
    background-size: 80%;
    background-position: center;
}
.shopping-flow-recipient-info{
    position: relative;
    box-sizing: border-box;
    margin-bottom: 30px;
}
.shopping-flow-recipient-info-title{
    font-size: 14px;
    vertical-align: middle;
    display: inline-block;
    margin-right: 15px;
    letter-spacing: 1px;
    width: calc(100% - 495px);
}
.shopping-flow-recipient-info-title span{
    color: #d0011b;
}
.shopping-flow-recipient-info-input,
.shopping-flow-recipient-info-textarea-box{
    width: 480px;
    font-size: 16px;
    vertical-align: top;
    display: inline-block;
}
.shopping-flow-recipient-info input{
    width: 100%;
    height: 22px;
    border: none;
    border-bottom: 1px solid #d1d1d1;
    font-size: 14px;
    letter-spacing: 1px;
    text-align: left;
    display: block;
    line-height: 22px;
    position: relative;
    box-sizing: border-box;
    color: #555;
}
.shopping-flow-recipient-info-textarea{
    resize: none;
    outline: none;
    width: 100%;
    height: 100px;
    border: 0;
    border-bottom: 1px solid #d1d1d1;
    font-size: 14px;
    letter-spacing: 1px;
    text-align: left;
    display: block;
    position: relative;
    box-sizing: border-box;
    color: #555;
}
.shopping-flow-recipient-info-button-box{
    display: block;
    text-align: right;
}
.shopping-flow-recipient-info-button{
    display: inline-block;
    font-size: 16px;
    width: 100px;
    height: 40px;
    background-color: #389cd2;
    border: none;
    color: #fff;
    cursor: pointer;
    transition: all .3s linear;
}
.rwd-shopping-flow-products-offer-box{
    display: none;
}
.offer-block-message{
    display: none;
}

.shop-pay-info{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 20px;
    background-color: #fff;
    margin-top: 20px;
}
.shop-pay-info-title-box{
    border-bottom: 1px solid #ddd;
    box-sizing: border-box;
    padding-bottom: 15px;
}
.shop-pay-info-title{
    font-size: 14px;
    letter-spacing: 2px;
    display: inline-block;
    vertical-align: middle;
}
.shop-pay-form-list{
    box-sizing: border-box;
    padding: 5px 5px;
    border-bottom: 1px solid #ddd;
}
.shop-pay-radio-lable{
    display: block; 
    margin-bottom: 15px;
}
.shop-pay-radio-lable:last-child{
    margin-bottom: 0;
}
.shop-pay-radio-lable input{
    opacity: 0;
    position: absolute;
    pointer-events: none;
}
.shop-pay-radio-lable span{
    position: relative;
    display: inline-block;
    letter-spacing: 1px;
    padding-left: 25px;
    font-size: 14px;
    color: #888;
}

.shop-pay-radio-lable span:before{
    content: 'none';
    font-size: 0;
    width: 15px;
    height: 15px;
    display: block;
    position: absolute;
    left: 0;
    top: 4px;
    vertical-align: middle;
    box-sizing: border-box;
    border: 2px solid #aaa;
    border-radius: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin-right: 5px;
}
.shop-pay-radio-lable input:checked + span{
    color: #162148;
}
.shop-pay-radio-lable input:checked + span:before{
    background-color: #162148;
    border-color: #162148;
}
.shop-pay-info-invoice{
    margin-top: 20px;
}
.shop-pay-info-invoice-box{
    display: none;
}
.shop-pay-info-invoice-input-name{
    font-size: 14px;
    color: #555;
    letter-spacing: 1px;
    margin-bottom: 5px;
}
.shop-pay-info-invoice-input-box{
    width: 100%;
    margin-right: 20px;
    display: inline-block;
    vertical-align: bottom;
}
.shop-pay-info-invoice-input{
    border: 1px solid #ddd;
    height: 36px;
    width: 200px;
    background-color: #fff;
    font-size: 14px;
    box-sizing: border-box;
    padding: 0 10px;
    color: #888;
    letter-spacing: 1px;
}
.adress-input{
    width: 420px;
    max-width: 100%;
}
.shop-pay-info-invoice-btn{
    width: 120px;
    line-height: 36px;
    display: inline-block;
    vertical-align: bottom;
    background-color: #162148;
    font-size: 14px;
    letter-spacing: 1px;
    text-align: center;
    color: #fff;
    font-weight: lighter;
    margin-right: 10px;
    cursor: pointer;
    transition: all .3s linear;
}
.shop-pay-info-invoice-ok-box{
    margin-top: 20px;
}
.shop-pay-info-invoice-ok{
    display: block;
    color: #888;
    font-size: 14px;
    letter-spacing: 1px;
    margin-bottom: 5px;
}
.shop-pay-info-contact-twzipcode{
    width: 100%;
    margin-top: 5px;
    margin-bottom: 10px;
}
.shop-pay-info-contact-twzipcode select,
.shop-pay-info-contact-twzipcode input{
    width: calc(33.33% - 10px);
    display: inline-block;
    vertical-align: middle;
    height: 36px;
    border: 1px solid #ddd;
    box-sizing: border-box;
    padding: 0 5px;
    font-size: 14px;
    color: #888;
}
.shop-pay-info-contact-twzipcode select:nth-child(2){
    margin: 0 15px;
}

.shopping-atm-delivery-block {
    font-size: 15px;
    margin: 15px 0;
    display: none;
}
.shopping-store-delivery-block {
    font-size: 15px;
    margin: 15px 0;
    display: none;
}
.shopping-flow-vAccount{
    width: 150px;
    height: 30px;
    border: none;
    border-bottom: 1px solid #d1d1d1;
    font-size: 14px;
    letter-spacing: 1px;
    text-align: left;
    display: inline-block;
    line-height: 22px;
    position: relative;
    box-sizing: border-box;
    color: #555;
    vertical-align: bottom;
}
.shopping-flow-vAccount-button{
    font-size: 16px;
    font-weight: bold;
    letter-spacing: 2px;
    border: 1px solid #888;
    box-sizing: border-box;
    transition: all .5s ease;
    text-align: center;
    margin: 0 auto;
    width: 100px;
    max-width: 100%;
    display: inline-block;
    height: 30px;
    line-height: 20px;
    color: #555;
    background-color: inherit;
    margin-left: 20px;
    cursor: pointer;
}
.shopping-flow-vAccount-button:hover{
    background-color: #389cd2;
    color: #fff;
}
/*<------------------hover------------------->*/
.shopping-flow-send-selec:hover, 
.shopping-flow-payment-selec:hover{
    background-color: #389cd2;
    color: #fff;
}
.shopping-flow-recipient-info-button:hover{
    background-color: #ffa3a9;
}



@media only screen and (max-width: 1000px){
    .shopping-flow-box{
        margin-top: 98px;
    }
}
@media only screen and (max-width: 800px){
    .shopping-flow-box{
        margin-top: 58px;
    }
    .shopping-flow-info-box{
        padding: 40px 0; 
    }
}
@media only screen and (max-width: 600px){
    .shopping-flow-info-box{
        width: 400px;
        padding: 20px 0;
    }
    .shopping-flow-send, 
    .shopping-flow-payment{
        width: 100%;
        display: block;
    }
    .shopping-flow-send{
        margin-bottom: 10px;
    }
    .shopping-flow-products-box .buycar-fixed-list-info-box{
        padding: 0 10px;
    }
    .shopping-flow-products-offer-text{
        display: block;
        width: 100%;
        font-size: 12px;
    }
    .shopping-flow-products-offer input{
        height: 20px;
        font-size: 12px;
    }
    .shopping-flow-recipient-info-check-title{
        font-size: 12px;
        margin: 10px 0;
    }
    .shopping-flow-recipient-info-check-box{
        width: 12px;
        height: 12px;
    }
    .shopping-flow-recipient-info-input, 
    .shopping-flow-recipient-info-textarea-box{
        width: 280px;
    }
    .shopping-flow-recipient-info-title{
        width: calc(100% - 295px);
    }
    .shopping-flow-recipient-info-button{
        font-size: 14px;
        height: 30px;
    }
    .shopping-flow-send-box, 
    .shopping-flow-payment-box{
        padding: 15px;
    }
    .shopping-flow-recipient-info-box>h3{
        font-size: 14px;
    }
    .shopping-flow-products-t{
        display: block;
    }
    .shopping-flow-products-bag-box{
        margin-bottom: 10px;
    }
}
@media only screen and (max-width: 400px){
    .shopping-flow-box{
        margin-top: 39px;
    }
    .shopping-flow-info-box{
        width: 300px;
        padding: 10px 0;
        padding-bottom: 20px;
    }
    .shopping-flow-title{
        margin-bottom: 10px;
    }
    .shopping-flow-title i{ 
        font-size: 24px;
    }
    .shopping-flow-send-box, 
    .shopping-flow-payment-box{
        padding: 10px;
    }
    .shopping-flow-send-title, 
    .shopping-flow-payment-title{
        font-size: 14px;
    }
    .shopping-flow-send-list-box, 
    .shopping-flow-payment-list-box{
        font-size: 12px;
    }
    .shopping-flow-products-box{
        padding: 10px;
        margin-top: 10px;
    }
    .buycar-fixed-list .buycar-fixed-list-img{
        display: none;
    }
    .shopping-flow-products-title{
        font-size: 14px;
        margin-bottom: 10px;
    }
    .shopping-flow-products-box .buycar-fixed-list-info-box{
        padding: 0;
    }
    .buycar-fixed-list .buycar-fixed-list-info-name{
        font-size: 14px;
    }
    .buycar-fixed-list .buycar-fixed-list-info-capacity-box{
        font-size: 14px;
    }
    .shopping-flow-products-money-title,
    .shopping-flow-products-money-nt, 
    .shopping-flow-products-money-number{
        font-size: 14px;
    }
    .shopping-flow-products-money{
        width: 100%;
    }
    .shopping-flow-products-offer-text{
        width: initial;
        font-size: 12px;
        display: inline-block;
    }
    .shopping-flow-products-offer-box{
        width: 100%;
        margin-bottom: 10px;
        text-align: left;
    }
    .shopping-flow-products-offer input{
        font-size: 12px;
    }
    .shopping-flow-recipient-info-box{
        padding: 10px;
        margin-top: 10px;
    }
    .shopping-flow-recipient-info-title{
        width: calc(100% - 210px);
        margin-right: 5px;
        font-size: 12px;
    }
    .shopping-flow-recipient-info-input, 
    .shopping-flow-recipient-info-textarea-box{
        width: 205px;
    }
    .shopping-flow-recipient-info input,
    .shopping-flow-recipient-info-textarea{
        font-size: 12px;
    }
    .shopping-flow-products-t{
        display: inline-block;
    }
    .shopping-flow-products-info-check-box{
        width: 12px;
        height: 12px;
    }
    .shopping-flow-products-bag-box{
        font-size: 12px;
    }
    .shopping-flow-products-money-box{
        display: flex;
        flex-direction:column-reverse;
    }
}
/*animation*/
/*<-------------動畫------------->*/

@keyframes animation_icon_buycar {
    0%{
        transform: translateX(-300px);
        font-size: 30px;
    }
    to {
        
    }
}
@media only screen and (min-width: 1001px){
    .shopping-flow-title i{
        animation: animation_icon_buycar 1s ease 1 0s both;
    }
    .shopping-flow-title{
        animation: animation_fade 1s ease 1 0s both;
    }
    .shopping-flow-recipient-info-box{
        opacity: 0;
    }
    .shopping-flow-recipient-info-box.active{
        animation: animation_fade 1s ease 1 0s both;
    }
    .shopping-flow-send-box{
        opacity: 0;
        animation: animation_btot 1s ease 1 0s both;
        z-index: 2;
        position: relative;
    }
    .shopping-flow-products-box{
        opacity: 0;
        animation: animation_btot 1s ease 1 0s both;
        z-index: 1;
        position: relative;
    }
}